Package org.opensaml.xacml.policy.impl

# Class PolicyTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.PolicyTypeImpl

All Implemented Interfaces:
  `XMLObject`, `PolicyType`, `XACMLObject`

public class PolicyTypeImpl extends AbstractXACMLObject implements PolicyType
Concrete implemenation of `PolicyType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private IndexedXMLObjectChildrenList<? extends XACMLObject>`
`choiceGroup`
Elements within the choice group.
`private DescriptionType`
`description`
Policy description.
`private ObligationsType`
`obligations`
Policy obligations.
`private DefaultsType`
`policyDefaults`
Policy defaults.
`private String`
`policyId`
ID of this policy.
`private String`
`ruleCombiningAlgo`
Rule combinging algorithm ID.
`private TargetType`
`target`
Policy target.
`private String`
`version`
Version of this policy.

### Fields inherited from interface org.opensaml.xacml.policy.PolicyType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, POLICY_ID_ATTRIB_NAME, RULE_COMBINING_ALG_ID_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME, VERSION_ATTRIB_NAME, VERSION_DEFAULT_VALUE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PolicyTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<CombinerParametersType>`
`getCombinerParameters()`
Gets the combiner parameters for this policy.
`DescriptionType`
`getDescription()`
Gets the description for this policy.
`ObligationsType`
`getObligations()`
Gets the obligations of this policy.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`DefaultsType`
`getPolicyDefaults()`
Gets the defaults for this policy.
`String`
`getPolicyId()`
Gets the ID of this policy.
`List<RuleCombinerParametersType>`
`getRuleCombinerParameters()`
Gets the rule combiner parameters for this policy.
`String`
`getRuleCombiningAlgoId()`
Gets the rule combining algorithm used with this policy.
`List<RuleType>`
`getRules()`
Gets the rules for this policy.
`TargetType`
`getTarget()`
Gets the target of this policy.
`List<VariableDefinitionType>`
`getVariableDefinitions()`
Gets the variable definition for this policy.
`String`
`getVersion()`
Gets the XACML version of this policy.
`void`
`setDescription(DescriptionType newDescription)`
Sets the description for this policy.
`void`
`setObligations(ObligationsType newObligations)`
Sets the obligations of this policy.
`void`
`setPolicyDefaults(DefaultsType defaults)`
Sets the defaults for this policy.
`void`
`setPolicyId(String id)`
Sets the ID of this policy.
`void`
`setRuleCombiningAlgoId(String id)`
Sets the rule combining algorithm used with this policy.
`void`
`setTarget(TargetType newTarget)`
Sets the target of this policy.
`void`
`setVersion(String newVersion)`
Sets the XACML version of this policy.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### description

private DescriptionType description
Policy description.

### policyDefaults

private DefaultsType policyDefaults
Policy defaults.

### target

private TargetType target
Policy target.

### choiceGroup

private IndexedXMLObjectChildrenList<? extends XACMLObject> choiceGroup
Elements within the choice group.

### obligations

private ObligationsType obligations
Policy obligations.

### policyId

private String policyId
ID of this policy.

### version

private String version
Version of this policy.

### ruleCombiningAlgo

private String ruleCombiningAlgo
Rule combinging algorithm ID.

## Constructor Details

### PolicyTypeImpl

protected PolicyTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getCombinerParameters

public List<CombinerParametersType> getCombinerParameters()
Gets the combiner parameters for this policy.

Specified by:
  `getCombinerParameters` in interface `PolicyType`
Returns:
  combiner parameters for this policy

### getDescription

public DescriptionType getDescription()
Gets the description for this policy.

Specified by:
  `getDescription` in interface `PolicyType`
Returns:
  description for this policy

### getObligations

public ObligationsType getObligations()
Gets the obligations of this policy.

Specified by:
  `getObligations` in interface `PolicyType`
Returns:
  obligations of this policy

### getPolicyDefaults

public DefaultsType getPolicyDefaults()
Gets the defaults for this policy.

Specified by:
  `getPolicyDefaults` in interface `PolicyType`
Returns:
  defaults for this policy

### getPolicyId

public String getPolicyId()
Gets the ID of this policy.

Specified by:
  `getPolicyId` in interface `PolicyType`
Returns:
  ID of this policy

### getRuleCombinerParameters

public List<RuleCombinerParametersType> getRuleCombinerParameters()
Gets the rule combiner parameters for this policy.

Specified by:
  `getRuleCombinerParameters` in interface `PolicyType`
Returns:
  rule combiner parameters for this policy

### getRuleCombiningAlgoId

public String getRuleCombiningAlgoId()
Gets the rule combining algorithm used with this policy.

Specified by:
  `getRuleCombiningAlgoId` in interface `PolicyType`
Returns:
  rule combining algorithm used with this policy

### getRules

public List<RuleType> getRules()
Gets the rules for this policy.

Specified by:
  `getRules` in interface `PolicyType`
Returns:
  rules for this policy

### getTarget

public TargetType getTarget()
Gets the target of this policy.

Specified by:
  `getTarget` in interface `PolicyType`
Returns:
  target of this policy

### getVariableDefinitions

public List<VariableDefinitionType> getVariableDefinitions()
Gets the variable definition for this policy.

Specified by:
  `getVariableDefinitions` in interface `PolicyType`
Returns:
  variable definition for this policy

### getVersion

public String getVersion()
Gets the XACML version of this policy.

Specified by:
  `getVersion` in interface `PolicyType`
Returns:
  XACML version of this policy

### setDescription

public void setDescription(DescriptionType newDescription)
Sets the description for this policy.

Specified by:
  `setDescription` in interface `PolicyType`
Parameters:
  `newDescription` - description for this policy

### setObligations

public void setObligations(ObligationsType newObligations)
Sets the obligations of this policy.

Specified by:
  `setObligations` in interface `PolicyType`
Parameters:
  `newObligations` - obligations of this policy

### setPolicyDefaults

public void setPolicyDefaults(DefaultsType defaults)
Sets the defaults for this policy.

Specified by:
  `setPolicyDefaults` in interface `PolicyType`
Parameters:
  `defaults` - defaults for this policy

### setPolicyId

public void setPolicyId(String id)
Sets the ID of this policy.

Specified by:
  `setPolicyId` in interface `PolicyType`
Parameters:
  `id` - ID of this policy

### setRuleCombiningAlgoId

public void setRuleCombiningAlgoId(String id)
Sets the rule combining algorithm used with this policy.

Specified by:
  `setRuleCombiningAlgoId` in interface `PolicyType`
Parameters:
  `id` - rule combining algorithm used with this policy

### setTarget

public void setTarget(TargetType newTarget)
Sets the target of this policy.

Specified by:
  `setTarget` in interface `PolicyType`
Parameters:
  `newTarget` - target of this policy

### setVersion

public void setVersion(String newVersion)
Sets the XACML version of this policy.

Specified by:
  `setVersion` in interface `PolicyType`
Parameters:
  `newVersion` - XACML version of this policy

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements